<style>
    #new_modal {
        top: 25%;
    }
</style>
<div class="ui modal" id="new_modal">
    <div class="header" id="header_text">Sign Up</div>
    <div class="content">
        <form class="ui form" id="new_account_form">
            <div class="field">
                <label>Username</label>
                <input type="text" name="username" placeholder="Username">
            </div>
            <div class="field">
                <label>Password</label>
                <input type="password" name="password" placeholder="********">
            </div>
            <!--<div class="field">-->
                <!--<div class="ui checkbox">-->
                    <!--<input type="checkbox" tabindex="0" class="hidden">-->
                    <!--<label>I agree to the Terms and Conditions</label>-->
                <!--</div>-->
            <!--</div>-->
            <button class="ui button inverted purple" type="submit" id="submit_button" style="float: right; margin-bottom: 20px;">Create Account</button>
        </form>
    </div>
</div>

<script>
    $(function() {
        let new_modal = $('#new_modal');
        let signup = $('#signup');
        let login = $('#login');

        let is_signup = true;

        login.on('click', function() {
            $('#header_text').text("Log In");
            $('#submit_button').text("Log In");
            new_modal.modal('show');
            is_signup = false;
        });

        signup.on('click', function() {
            $('#header_text').text("Sign Up");
            $('#submit_button').text("Create Account");
            new_modal.modal('show');
            is_signup = true;
        });

        $('#new_account_form').on('submit', function(event) {
            event.preventDefault();
            (is_signup ? signup : login).html(`
            <div class="spinner">
                <div class="rect1"></div>
                <div class="rect2"></div>
                <div class="rect3"></div>
                <div class="rect4"></div>
                <div class="rect5"></div>
            </div>
            `);
            // signup.on('click', function(e) { e.preventDefault(); });

            new_modal.modal('hide');
            console.log($(this));
            $.ajax({
                type: 'POST',
                url: is_signup ? '/users/new/' : '/login/',
                data: {
                    username: $('#new_account_form input[name="username"]').val(),
                    password: $('#new_account_form input[name="password"]').val()
                }
            }).then(e => {
                console.log(e);
                signup.text("Signup");
                login.text("Login");
                if (e === "Success") {
                    swal({
                        text: is_signup ? "Successfully created new User Account. Welcome!" : "Successfully logged in. Welcome!",
                        icon: 'success'
                    }).then(_ => location.reload());
                    let btn = $(".swal-button.swal-button--confirm");
                    btn.addClass("green inverted ui button");
                    btn.blur();
                } else if (e === "Failure::UsernameTooLong") {
                    swal({
                        text: "Username is too long",
                        icon: 'error'
                    });
                } else if (e === "Failure::UsernameNotUnique") {
                    swal({
                        text: "Username is already taken",
                        icon: 'error'
                    });
                    let btn = $(".swal-button.swal-button--confirm");
                    btn.addClass("red inverted ui button");
                    btn.blur();
                } else if (e === "Failure::UserNotFound") {
                    swal({
                        text: "Username and password combination not valid.",
                        icon: 'error'
                    });
                    let btn = $(".swal-button.swal-button--confirm");
                    btn.addClass("red inverted ui button");
                    btn.blur();
                }

            });
        });
    });
</script>